package com.ruoyi.dxp.dto.database;

import java.io.Serializable;
import java.util.List;

/**
 * 数据库插入数据
 */
public class DatabaseUtilsInsertParam implements Serializable {
    private static final long serialVersionUID = 1L;

    private List<String> colNameArray;

    private Long id;

    private String tbName;

    private List<DatabaseUtilsColItemDto> rows;

    public List<String> getColNameArray() {
        return colNameArray;
    }

    public void setColNameArray(List<String> colNameArray) {
        this.colNameArray = colNameArray;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getTbName() {
        return tbName;
    }

    public void setTbName(String tbName) {
        this.tbName = tbName;
    }

    public List<DatabaseUtilsColItemDto> getRows() {
        return rows;
    }

    public void setRows(List<DatabaseUtilsColItemDto> rows) {
        this.rows = rows;
    }
}
